Door list
Módulo Workforce
GET/guest-check-ins/door-listguestCheckIns.doorList
Approved and checked-in guests of a project for door staff, filtered by name. A rule that refuses the request returns 422 with `refusal` and `reason`.
- Requiere la capacidad credentials.scan.write.
- Alcances de OAuth: credentials.
- Estados de error: 400, 401, 422, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| project_id | string (uuid) | Sí | Project. |
| q | string | No | Name contains this.Restricciones: length 0 to 200 |
Respuesta 200: DoorGuestPage
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| data | array of DoorGuest | Sí | Items on this page, in the documented default order. |
| next_cursor | string | null | Sí | Opaque cursor for the next page; null on the last page. |
{
"data": [
{
"guest_list_entry_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
"guest_name": "Jordan Ellis",
"plus_ones": 2,
"entry_state": "Approved",
"note": "Side stage.",
"checked_in_at": "2026-10-08T14:30:00Z",
"plus_ones_admitted": 2,
"door": "Gate A"
}
],
"next_cursor": null
}Ejemplos de código
curl -X GET "$XOS_BASE_URL/guest-check-ins/door-list" \
-H "Authorization: Bearer $XOS_API_KEY"const { data } = await xos.guestCheckIns.doorList();response = xos.guest_check_ins.door_list()xos guest-check-ins door-list